(function () {
    angular.module('app')
        .directive('notificationsPolling', notificationsPolling);

    function notificationsPolling($interval) {
        return {
            restrict: 'A',
            scope: {},
            link: function (scope, elem, attrs) {
                var poll = $interval(function () {
                    console.log('fetching...');
                }, 1000);

                scope.$on('stop-polling', function (event, data) {
                    $interval.cancel(poll);
                    console.log(data + ' logged out');
                });
            }
        };
    }
})();