﻿(function() {

    angular.module('app')
        .controller('FavoritesController', ['$scope', 'LocalStorageManager',
            function($scope, LocalStorageManager) {

                var vm = this;

                ////////////////

                $scope.getFavorites = function() {
                    vm.favorites = LocalStorageManager.Get('favoriteArtists');
                };

                vm.remove = function(artist) {
                    var favorites = LocalStorageManager.Get('favoriteArtists');
                    var found = favorites.indexOf(artist);
                    if (found !== -1) {
                        favorites.splice(found, 1);
                    }

                    LocalStorageManager.Set('favoriteArtists', favorites);
                    vm.favorites = favorites;
                };

                $scope.getFavorites();

            }]);

})();
