﻿(function() {

    angular.module('app')
        .filter('artistSearch', function() {
            return function(artists, searchString) {
                if (!artists) return;
                return artists.filter(function(artist) {
                    if (!searchString) return true;
                    var name = artist.Name.toLowerCase();
                    return name.startsWith(searchString.toLowerCase());
                });
            }
        });

})();
