var gulp = require('gulp'),
    serve = require('gulp-serve'),
    jshint = require('gulp-jshint'),
    uglify = require('gulp-uglify'),
    concat = require('gulp-concat');

gulp.task('serve', serve('public'));

gulp.task('lint', function() {
    return gulp.src('src/client/app/**/*.js')
        .pipe(jshint())
        .pipe(jshint.reporter('jshint-stylish'));
});

gulp.task('build', function() {
    return gulp.src('src/client/app/**/*.js')
        .pipe(concat('app.js'))
        .pipe(gulp.dest('dist/js'))
        .pipe(uglify())
        .pipe(gulp.dest('dist/js'));
});

gulp.task('default', ['lint', 'build'], function() {
    gulp.start('serve');
});
